Loading...
Searching...
No Matches
Catch::Clara::Detail::ResultBase Class Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::ResultBase:
[legend]

## Protected Member Functions

| ResultBase (ResultType type)
virtual | ~ResultBase ()
| ResultBase (ResultBase const &)=default
ResultBase & | operator= (ResultBase const &)=default
| ResultBase (ResultBase &&)=default
ResultBase & | operator= (ResultBase &&)=default
virtual void | enforceOk () const =0

## Protected Attributes

ResultType | m_type

## Constructor & Destructor Documentation

## ResultBase() [1/3]

Catch::Clara::Detail::ResultBase::ResultBase | ( | ResultType | type | ) |

inlineprotected

Here is the caller graph for this function:

## ~ResultBase()

Catch::Clara::Detail::ResultBase::~ResultBase | ( |  | ) |

protectedvirtualdefault

## ResultBase() [2/3]

Catch::Clara::Detail::ResultBase::ResultBase | ( | ResultBase const & |  | ) |

protecteddefault

Here is the call graph for this function:

## ResultBase() [3/3]

Catch::Clara::Detail::ResultBase::ResultBase | ( | ResultBase && |  | ) |

protecteddefault

Here is the call graph for this function:

## Member Function Documentation

## enforceOk()

virtual void Catch::Clara::Detail::ResultBase::enforceOk | ( |  | ) | const

protectedpure virtual

Implemented in Catch::Clara::Detail::BasicResult< T >, Catch::Clara::Detail::BasicResult< ParseResultType >, Catch::Clara::Detail::BasicResult< ParseResultType >, Catch::Clara::Detail::BasicResult< ParseState >, Catch::Clara::Detail::BasicResult< ParseState >, Catch::Clara::Detail::BasicResult< void >, and Catch::Clara::Detail::BasicResult< void >.

Here is the caller graph for this function:

## operator=() [1/2]

ResultBase & Catch::Clara::Detail::ResultBase::operator= | ( | ResultBase && |  | ) |

protecteddefault

Here is the call graph for this function:

## operator=() [2/2]

ResultBase & Catch::Clara::Detail::ResultBase::operator= | ( | ResultBase const & |  | ) |

protecteddefault

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## m_type

ResultType Catch::Clara::Detail::ResultBase::m_type

protected

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp